For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
      • PUTAdd a member as a follower of a flag in a project and environment
      • GETGet followers of a flag in a project and environment
      • GETGet followers of all flags in a given project and environment
      • DELRemove a member as a follower of a flag in a project and environment
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewFollow Flags

Get followers of all flags in a given project and environment

GET
/api/v2/projects/:projectKey/environments/:environmentKey/followers
GET
/api/v2/projects/:projectKey/environments/:environmentKey/followers
$curl https://app.launchdarkly.com/api/v2/projects/projectKey/environments/environmentKey/followers \
> -H "Authorization: <apiKey>"
1{
2 "_links": {
3 "self": {
4 "href": "/api/v2/projects/my-project/flags/my-flay/environments/my-environment/followers",
5 "type": "application/json"
6 }
7 },
8 "items": [
9 {
10 "flagKey": "example-flag-key",
11 "followers": [
12 {
13 "_links": {
14 "self": {
15 "href": "/api/v2/members/569f183514f4432160000007",
16 "type": "application/json"
17 }
18 },
19 "_id": "569f183514f4432160000007",
20 "role": "admin",
21 "email": "ariel@acme.com",
22 "firstName": "Ariel",
23 "lastName": "Flores"
24 }
25 ]
26 }
27 ]
28}
Get followers of all flags in a given environment and project
Was this page helpful?
Previous

Remove a member as a follower of a flag in a project and environment

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key

Response

Flags and flag followers response
_linksmap from strings to objects
The location and content type of related resources
itemslist of objects
An array of flags and their followers

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error